Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# SystemException.inl File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | TAO_STANDARD_SYSTEM_EXCEPTION_LIST
#define | TAO_SYSTEM_EXCEPTION(name)

## Define Documentation

#define TAO_STANDARD_SYSTEM_EXCEPTION_LIST

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    ACE_INLINE void \
    CORBA::name ::_tao_any_destructor (void * x) \
    { \
      delete static_cast<CORBA::name *> (x); \
    }

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    ACE_INLINE CORBA::name const * \
    CORBA::name ::_downcast (CORBA::Exception const * exception) \
    { \
      return dynamic_cast<CORBA::name const *> (exception); \
    }

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    ACE_INLINE CORBA::name * \
    CORBA::name ::_downcast (CORBA::Exception* exception) \
    { \
      return dynamic_cast<CORBA::name *> (exception); \
    }